{-# LANGUAGE FlexibleInstances #-}
{-# LANGUAGE FunctionalDependencies #-}
{-# LANGUAGE TemplateHaskell #-}
{-|
Module: Network.Api.Postmark.Dmarc.Lens
Description: Auto-generated (Template Haskell) lenses for data types sent to
  and received from the Postmark DMARC REST API.
Copyright: (c) 2020 Michael Gregson
License: MIT
Maintainer: Michael Gregson <mgregson@gregson.io>
Stability: experimental

This module provides lenses for the data types sent to and received from
Postmark's DMARC REST API.
-}
module Network.Api.Postmark.Dmarc.Lens where

import Control.Lens

import Network.Api.Postmark.Dmarc

makeClassy ''CreateRecord
makeFields ''CreateRecord

makeClassy ''Record
makeFields ''Record

makeClassy ''CreateRecordResponse
--makeFields ''CreateRecordResponse

makeClassy ''RecordUpdate
makeFields ''RecordUpdate

makeClassy ''DnsSnippet
makeFields ''DnsSnippet

makeClassy ''VerifyDnsResponse
makeFields ''VerifyDnsResponse

makeClassy ''DmarcReportsListEntry
makeFields ''DmarcReportsListEntry

makeClassy ''DmarcReportsListMeta
makeFields ''DmarcReportsListMeta

makeClassy ''DmarcReportsListResponse
makeFields ''DmarcReportsListResponse

makeClassy ''DmarcReportRecord
makeFields ''DmarcReportRecord

makeClassy ''DmarcReport
makeFields ''DmarcReport

makeClassy ''RecoverApiTokenRequest
makeFields ''RecoverApiTokenRequest

makeClassy ''RecoverApiTokenResponse
makeFields ''RecoverApiTokenResponse

makeClassy ''RotateApiTokenResponse
makeFields ''RotateApiTokenResponse
